{{ attach_library( 'biopama_global_data/dopa_country' ) }}

{% if is_admin %}
  {% set heightclass = 'screen-vh-admin' %}
{% else %}
  {% set heightclass = 'screen-vh' %}
{% endif %}
<div id="container-page" class="container-fluid bg-gray-1200 text-white-50">
  <div class="row">
	<div class="col p-0  {{ heightclass }}" id="container-data">
	  	<!-- Start Title -->
			<div class="row sticky-top bg-gray-1200">
				<div class="col d-flex flex-grow-1">
					<div class="wrapper-title-flag d-flex align-items-center px-4">
						<img id="country-flag" src="">
					</div>
					<div class="title-sidebar flex-grow-1" id="dopa-title">
						<h5 class="subtitle">
							<div class="d-inline scope-name" id="title-scope-name"></div>
						</h5>
						<div class="fw-lighter fst-italic">
							Within the country profile you can explore global and national indicators and near real-time information on the status and pressures in and around protected areas. You can also select specific metrics and create your report to be exported as a pdf document.
						</div>
					</div>
				</div>
				<div class="col flex-grow-0">
					<div id="report-link" class="text-center m-3" data-bs-toggle="tooltip" data-bs-html=true data-bs-placement="right" title="Click here to go to the report printing page">
						<div id="report-icon-large">
							<i class="far fa-file-alt"></i>
						</div>
						<div id="report-number"> </div>
					</div>
				</div>
			</div>
			<div class="row text-align-center text-white fs-5">
				<div class="col-4">
					<div id="ter-prot-chart" class="chart-wrapper">
					</div>
					Terrestrial protection
				</div>
				<div class="col-4">
					<div id="mar-prot-chart" class="chart-wrapper">
					</div>
					Marine protection
				</div>
				<div class="col-4">
					<div id="ter-conn-chart" class="chart-wrapper">
					</div>
					Terrestrial connectivity
				</div>
			</div>
			<div class="row text-align-center">
				<div class="col-12">
					<span class="scope-name pa-totals"></span> has <span class='total-pa-num pa-totals'></span> protected areas.<!-- <span class='terrestrial-pa-num pa-totals'></span> are terrestrial, <span class='marine-pa-num pa-totals'></span> are marine, and <span class='coastal-pa-num pa-totals'></span> are coastal.-->
				</div>
			</div>
	  	<!-- End Title -->

		<!-- Start Cards -->
		<div class="wrapper-cards-sidebar p-3">
		{% for card in thematicCards %}

			{% include 'thematic-card.html.twig' %}

		{% endfor %}
		</div>
		<!-- End Cards -->
	</div>
	<div class="col p-0  {{ heightclass }}" id="container-map">
		<div id="container-area-search" class="d-print-none p-3">
			<select id="country-search" data-placeholder="Choose a country..." class="chosen-select hidden">
				<option value=""></option>
			</select>
		</div>
		<div id="container-mapbox-map"></div>
	</div>
  </div>
</div>
